import { a as Proxified, P as ProxifiedModule, e as ProxifiedFunctionCall } from './types-823c5240.js';
import '@babel/types';
import 'recast';

declare function deepMergeObject(magicast: Proxified<any>, object: any): void;

declare function addNuxtModule(magicast: ProxifiedModule<any>, name: string, optionsKey?: string, options?: any): void;

interface AddVitePluginOptions {
    /**
     * The import path of the plugin
     */
    from: string;
    /**
     * The import name of the plugin
     * @default "default"
     */
    imported?: string;
    /**
     * The name of local variable
     */
    constructor: string;
    /**
     * The options of the plugin
     */
    options?: Record<string, any>;
}
interface UpdateVitePluginConfigOptions {
    /**
     * The import path of the plugin
     */
    from: string;
    /**
     * The import name of the plugin
     * @default "default"
     */
    imported?: string;
}
declare function addVitePlugin(magicast: ProxifiedModule<any>, plugin: AddVitePluginOptions): boolean;
declare function findVitePluginCall(magicast: ProxifiedModule<any>, plugin: UpdateVitePluginConfigOptions | string): ProxifiedFunctionCall | undefined;
declare function updateVitePluginConfig(magicast: ProxifiedModule<any>, plugin: UpdateVitePluginConfigOptions | string, handler: Record<string, any> | ((args: any[]) => any[])): boolean;

declare function getDefaultExportOptions(magicast: ProxifiedModule<any>): any;

export { AddVitePluginOptions, UpdateVitePluginConfigOptions, addNuxtModule, addVitePlugin, deepMergeObject, findVitePluginCall, getDefaultExportOptions, updateVitePluginConfig };
